Skip navigation
environmentartist
Currently Being Moderated

CS6 installation failure on OsX 10.6

Mar 22, 2012 11:35 AM

Tags: #beta #osx10.6.8 #adobe_photoshop_cs6

On OsX 10.6.8 I keep getting a "Some items for the following product(s) could not be installed successfully.

 

And the error logs read as:

 

Exit Code: 6

Please see specific errors and warnings below for troubleshooting. For example,  ERROR: DF024, DW063 ... WARNING: DS013 ...

 

-------------------------------------- Summary --------------------------------------

- 0 fatal error(s), 16 error(s), 2 warning(s)

 

WARNING: DS013: Payload {A8798E04-96FF-4564-9157-0D4C89CB794C} DynamiclinkSupport 5.0.0.0 is already installed and the session payload {DE88AA40-6766-43D3-A755-8FC374B3D2C3} DynamiclinkSupport 6.0.0.0 has no upgrade/conflict relationship with it.

WARNING: DS013: Checking payloads upgrade/conflict relationships : Failed with code 1

----------- Payload: {0C4E7429-E920-4125-980E-029A87AE0A4D} AdobeColorCommonSetCMYK CS6 4.0.0.0 -----------

ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 21)

ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 21)

----------- Payload: {C7B1C1B3-368D-4C32-A818-83F1554EB398} AdobeColorCommonSetRGB CS6 4.0.0.0 -----------

ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 11)

ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 11)

----------- Payload: {48623899-C152-457D-9B30-1F957332AC2F} AdobeColorPhotoshop CS6 4.0.0.0 -----------

ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 3)

ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 3)

----------- Payload: {78E38D75-4D92-4F6E-B631-17A436BED680} AdobeColorVideoProfilesCS CS6 4.0.0.0 -----------

ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 5)

ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 5)

----------- Payload: {D6EB6A94-D753-4C22-AD43-4ACB04D4B7B8} Adobe Photoshop CS6 Core 13.0.0.0 -----------

ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 2260)

ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 2260)

 

ERROR: DW050: The following payload errors were found during install:

ERROR: DW050:  - AdobeColorCommonSetCMYK CS6: Install failed

ERROR: DW050:  - AdobeColorPhotoshop CS6: Install failed

ERROR: DW050:  - Adobe Photoshop CS6 English Language Pack_AdobePhotoshop13-en_US: Install failed

ERROR: DW050:  - AdobeColorVideoProfilesCS CS6: Install failed

ERROR: DW050:  - AdobeColorCommonSetRGB CS6: Install failed

ERROR: DW050:  - Adobe Photoshop CS6 Core: Failed due to Language Pack installation failure

---------------------------------------------------------------------- ---------------

 
Replies
  • Currently Being Moderated
    Mar 22, 2012 12:03 PM   in reply to environmentartist

    Hi, Did you by chance have a beta or prerelease version of Lightroom 4 installed on this same system?

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 22, 2012 12:30 PM   in reply to environmentartist

    I too got the same error message, CS5 completely removed.

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 22, 2012 12:37 PM   in reply to hobz213

    Having CS5 installed shouldn't be an issue at all (I currently have CS3, CS4, CS5, and CS5.1 installed, I just downloaded and installed the same public beta as everyone else).

     

    The error report is pretty generic, so we should probably go with a pretty holistic solution: Install in Safe Boot and Root User.

     

    For those unfamiliar with Safe Boot, basically hold down the Shift key while rebooting. More info here: http://support.apple.com/kb/HT1564

     

    For those unfamiliar with Root User, basically it is a super user that gets past all permissions related issues. It has to be turned on before it can be used. Different versions of Mac have different methods of doing so. More info here: http://support.apple.com/kb/HT1528

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 22, 2012 12:47 PM   in reply to Brett N

    "The error report is pretty generic, so we should probably go with a pretty holistic solution: Install in Safe Boot and Root User."

     

    That's not a holistic solution.  That's a temporary hack that should only be employed during testing to isolate problems with the installer.  When Adobe's installers ask for authorization (when you enter an administrator name and password), they should be requesting an appropriate right that allows them to run with the necessary elevated privileges.  For example, the right system.install.software (system.install.root.user for Snow Leopard) gives root access when installing.  The problem is that Adobe's tools execute other tools, which either (1) don't ask for the correct authorization right separately, or (2) are not launched with the appropriate effective user id (EUID).

     
    |
    Mark as:
  • Currently Being Moderated
    Mar 23, 2012 7:20 AM   in reply to environmentartist

    I have  the same problem trying to install to a Mac MiniScreen Shot 2012-03-23 at 10.09.50 AM.png

    Installation ended with following:

    Screen Shot 2012-03-23 at 10.06.52 AM.png

    Error summary as follows:

    Exit Code: 6

    Please see specific errors and warnings below for troubleshooting. For example,  ERROR: DF024, DW063 ... WARNING: DS013 ...

     

    -------------------------------------- Summary --------------------------------------

    - 0 fatal error(s), 16 error(s), 3 warning(s)

     

    WARNING: DS013: Payload {1A1E5FF9-D0FD-42A3-8E18-E5E7E95E1AB4} DynamiclinkSupport 5.5.0.0 is already installed and the session payload {DE88AA40-6766-43D3-A755-8FC374B3D2C3} DynamiclinkSupport 6.0.0.0 has no upgrade/conflict relationship with it.

    WARNING: DS013: Payload {A8798E04-96FF-4564-9157-0D4C89CB794C} DynamiclinkSupport 5.0.0.0 is already installed and the session payload {DE88AA40-6766-43D3-A755-8FC374B3D2C3} DynamiclinkSupport 6.0.0.0 has no upgrade/conflict relationship with it.

    WARNING: DS013: Checking payloads upgrade/conflict relationships : Failed with code 1

    ----------- Payload: {0C4E7429-E920-4125-980E-029A87AE0A4D} AdobeColorCommonSetCMYK CS6 4.0.0.0 -----------

    ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 21)

    ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 21)

    ----------- Payload: {C7B1C1B3-368D-4C32-A818-83F1554EB398} AdobeColorCommonSetRGB CS6 4.0.0.0 -----------

    ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 11)

    ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 11)

    ----------- Payload: {48623899-C152-457D-9B30-1F957332AC2F} AdobeColorPhotoshop CS6 4.0.0.0 -----------

    ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 3)

    ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 3)

    ----------- Payload: {78E38D75-4D92-4F6E-B631-17A436BED680} AdobeColorVideoProfilesCS CS6 4.0.0.0 -----------

    ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 5)

    ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 5)

    ----------- Payload: {D6EB6A94-D753-4C22-AD43-4ACB04D4B7B8} Adobe Photoshop CS6 Core 13.0.0.0 -----------

    ERROR: DF024: Unable to preserve original file at "/Library/ColorSync/Profiles/Profiles" (Seq 2260)

    ERROR: DW063: Command ARKDeleteFileCommand failed.(Seq 2260)

     

    ERROR: DW050: The following payload errors were found during install:

    ERROR: DW050:  - AdobeColorCommonSetCMYK CS6: Install failed

    ERROR: DW050:  - AdobeColorPhotoshop CS6: Install failed

    ERROR: DW050:  - Adobe Photoshop CS6 English Language Pack_AdobePhotoshop13-en_US: Install failed

    ERROR: DW050:  - AdobeColorVideoProfilesCS CS6: Install failed

    ERROR: DW050:  - AdobeColorCommonSetRGB CS6: Install failed

    ERROR: DW050:  - Adobe Photoshop CS6 Core: Failed due to Language Pack installation failure

     

    I was able to install on an earlier version Mini with OS 10.7.3 and an Intel Core 2 duo.

    Pretty frustrated...

    ---------------------------------------------------------------------- ---------------

     
    |
    Mark as:
  • Currently Being Moderated
    Apr 4, 2012 7:47 AM   in reply to environmentartist

    This may be due to corrupt/incorrect permissions to the alias "/Library/ColorSync/Profiles/Profiles". Give 'Read & Write' permission to the 'Profiles' alias "/Library/ColorSync/Profiles/Profiles" and retry installation. If it still does not work, delete "/Library/ColorSync/Profiles/Profiles" and then retry. It should now work.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points